import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LinkedInLoginComponent } from './linkedin-login/linkedin-login.component';
import { LoginComponent } from './login.component';
import { TwitterLoginComponent } from './twitter-login/twitter-login.component';

const routes: Routes = [
	{ path: '', component: LoginComponent },
	{ path: 'linkedin', component: LinkedInLoginComponent },
	{ path: 'twitter', component: TwitterLoginComponent }
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class LoginRoutingModule { }